"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = positionGroup;
function positionGroup(nodes, group) {
  var rect = {
    top: Number.MAX_VALUE,
    left: Number.MAX_VALUE,
    bottom: 0,
    right: 0
  };

  group.processes.forEach(function (n) {
    var node = nodes.get(n);
    if (!node) return;
    if (node.x < rect.left) rect.left = node.x;
    if (node.x > rect.right) rect.right = node.x;
    if (node.y < rect.top) rect.top = node.y;
    if (node.y + node.dy > rect.bottom) rect.bottom = node.y + node.dy;
  });

  return {
    title: group.title,
    processes: group.processes,
    rect: rect
  };
}